BEEM - Android XMPP - Feature #49

Creation d'un service xmpp
03/15/2009 04:05 PM - Frédéric Barthéléry

Status: Closed Start date: 03/15/2009
Priority: High Due date: 04/22/2009
Assignee: Frédéric Barthéléry % Done: 100%
Category: XMPP Estimated time: 150.00 hours
Target version: Prototype before 1.5 - SFR_Version

Description

A faire

Ca serait interessant que la connexion au serveur soit maintenu meme a la "fermeture de l'application”. Cela permettrait d'obtenir
des informations provenant du serveur en background. Pour ce genre de situationm le framework permet la creation de service.
Notre service xmpp doit permettre:

e d'etablir une connexion au serveur

¢ de stopper la connexion en cours

¢ de recuperer la liste de contacts ainsi que leur status
¢ et le reste on verra au fur et a mesure des besoins

La discussion est ouverte si vous pensez que c'est une mauvaise idée exprimez vous, sinon au boulot, on a un concours a preparer.
Quelques liens
http://developer.android.com/guide/topics/fundamentals.html

http://developer.android.com/reference/android/app/Service.html
http://developer.android.com/guide/developing/tools/aidl.html

History

#1 - 03/19/2009 02:51 PM - Frédéric Barthéléry
- % Done changed from 0 to 40

Service cree et qui se connecte au serveur. il reste a faire:

e definir I'interface qui permet d'agir avec le service
e implementer cette interface
etc

#2 - 04/07/2009 05:36 PM - Frédéric Barthéléry

- Status changed from New to Assigned

#3 - 05/12/2009 03:46 PM - Nikita Kozlov

- Due date set to 04/22/2009

- Category changed from XMPP-Jingle to XMPP

- Status changed from Assigned to Closed

- Priority changed from Normal to High

- % Done changed from 40 to 100

- Estimated time changed from 15.00 h to 150.00 h

Pour les features requests et les bugs reports, bah creer des issues !
